#: -*- coding: utf-8 -*-
"""
.. _Docutils Configuration: http://docutils.sourceforge.net/docs/user/config.html

Settings
========

Default settings rstviews needs. You can override them in your project
settings file.

"""  # noqa: E501

#: Default value for silent mode on parser.
RSTVIEW_PARSER_SILENT = False

#: The docutils writer to use, can be html4 (suitable for xhtml too) or html5.
RSTVIEW_PARSER_WRITER = "html5"

#: Default parser configurations used with autodiscovering for initial
#: configuration registry.
RSTVIEW_PARSER_FILTER_SETTINGS = {
    'default': {
        'initial_header_level': 3,
        'file_insertion_enabled': False,
        'raw_enabled': False,
        'language_code': "en",
        'footnote_references': 'superscript',
        'doctitle_xform': False,
    },
}

#: Optional project level configurations file.
RSTVIEW_PARSER_ROOT_CONFIGS = None

#: CSS class prefix for generated Pygments elements when not using inline
#: styles.
RSTVIEW_PYGMENTS_CONTAINER_CLASSPREFIX = "pygments"

#: Enable usage of inline CSS styles in HTML generated by Pygments.
RSTVIEW_PYGMENTS_INLINESTYLES = False

#: Template string used to format error from reporter
RSTVIEW_ERROR_TEMPLATE = u"Line {lineno} : {message}"

#: Global parser security parameters.
RSTVIEW_PARSER_SECURITY = {
    'halt_level': 6,
    'enable_exit': 0
}

